/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct EnvironmentConfigClusterSettings {
    #[serde(rename = "Enable", skip_serializing_if = "Option::is_none")]
    pub enable: Option<bool>,
    #[serde(
        rename = "InterNodeListenAddress",
        skip_serializing_if = "Option::is_none"
    )]
    pub inter_node_listen_address: Option<bool>,
    #[serde(rename = "InterNodeUrls", skip_serializing_if = "Option::is_none")]
    pub inter_node_urls: Option<bool>,
}

impl EnvironmentConfigClusterSettings {
    pub fn new() -> EnvironmentConfigClusterSettings {
        EnvironmentConfigClusterSettings {
            enable: None,
            inter_node_listen_address: None,
            inter_node_urls: None,
        }
    }
}
